<template>
    <svg class="sys-hide" xmlns="http://www.w3.org/2000/svg">
        <symbol id="toggle-arr" viewBox="0 0 12 12" fill="none">
            <path d="M10.9428 2.51824C10.9849 2.59913 11.0042 2.68994 10.9985 2.78094C10.9929 2.87193 10.9626 2.95967 10.9108 3.03474L6.41083 9.53474C6.36481 9.60116 6.30339 9.65544 6.23181 9.69293C6.16023 9.73042 6.08063 9.75 5.99983 9.75C5.91903 9.75 5.83943 9.73042 5.76785 9.69293C5.69627 9.65544 5.63485 9.60116 5.58883 9.53474L1.08883 3.03474C1.03693 2.95973 1.00653 2.87195 1.00094 2.7809C0.995348 2.68985 1.01477 2.59901 1.0571 2.51821C1.09943 2.43741 1.16306 2.36973 1.2411 2.32249C1.31914 2.27526 1.40861 2.25027 1.49983 2.25024L10.4998 2.25024C10.5911 2.25023 10.6806 2.2752 10.7587 2.32244C10.8368 2.36968 10.9005 2.4374 10.9428 2.51824Z" fill="currentColor"/>
        </symbol>

        <symbol id="time-full" viewBox="0 0 17 17" fill="none">
            <path d="M4.23926 1.83325V5.83325L6.90592 8.49992L4.23926 11.1666V15.1666H12.2393V11.1666L9.57259 8.49992L12.2393 5.83325V1.83325H4.23926Z" fill="currentColor"/>
        </symbol>

        <symbol id="clock-first-half" viewBox="0 0 17 17" fill="none">
            <path d="M4.09863 1.83325H12.0986V5.83325L9.43197 8.49992L12.0986 11.1666V15.1666H4.09863V11.1666L6.7653 8.49992L4.09863 5.83325V1.83325ZM10.7653 11.4999L8.09863 8.83325L5.43197 11.4999V13.8333H10.7653V11.4999ZM8.09863 8.16659L10.7653 5.49992V3.16659H5.43197V5.49992L8.09863 8.16659ZM6.7653 4.49992H9.43197V4.99992L8.09863 6.33325L6.7653 4.99992V4.49992Z" fill="currentColor"/>
        </symbol>

        <symbol id="clock-second-half" viewBox="0 0 17 17" fill="none">
            <path d="M4.16895 15.1667H12.1689V11.1667L9.50228 8.50008L12.1689 5.83341V1.83341H4.16895V5.83341L6.83561 8.50008L4.16895 11.1667V15.1667ZM10.8356 5.50008L8.16895 8.16675L5.50228 5.50008V3.16675H10.8356V5.50008ZM8.16895 8.83341L10.8356 11.5001V13.8334H5.50228V11.5001L8.16895 8.83341ZM6.83561 12.5001H9.50228V12.0001L8.16895 10.6667L6.83561 12.0001V12.5001Z" fill="currentColor"/>
        </symbol>

        <symbol id="triangle-arr-right" viewBox="0 0 12 13" fill="none">
            <path d="M2.51812 1.88871C2.599 1.84664 2.68982 1.82739 2.78081 1.83303C2.87181 1.83867 2.95955 1.86898 3.03462 1.92071L9.53462 6.42071C9.60104 6.46673 9.65532 6.52815 9.69281 6.59973C9.7303 6.67131 9.74988 6.75091 9.74988 6.83171C9.74988 6.91251 9.7303 6.99211 9.69281 7.06369C9.65532 7.13527 9.60104 7.1967 9.53462 7.24271L3.03462 11.7427C2.95961 11.7946 2.87183 11.825 2.78078 11.8306C2.68973 11.8362 2.59889 11.8168 2.51809 11.7744C2.43729 11.7321 2.3696 11.6685 2.32237 11.5904C2.27514 11.5124 2.25015 11.4229 2.25012 11.3317L2.25012 2.33171C2.25011 2.24044 2.27507 2.15091 2.32232 2.07282C2.36956 1.99473 2.43727 1.93106 2.51812 1.88871Z" fill="currentColor"/>
        </symbol>

        <symbol id="arr-down" viewBox="0 0 14 15" fill="none">
            <path fill-rule="evenodd" clip-rule="evenodd" d="M12.6568 6.83263L11.2426 5.41841L7.00279 9.65826L2.76016 5.41562L1.34594 6.82984L5.58858 11.0725L5.58578 11.0753L6.99999 12.4895L7.00279 12.4867L7.0028 12.4867L8.41701 11.0725L8.417 11.0725L12.6568 6.83263Z" fill="currentColor"/>
        </symbol>

        <!-- Sport Icons -->

        <symbol id="icon-football" viewBox="0 0 16 17" fill="none">
            <path d="M8 0.83252C3.61506 0.83252 0 4.3993 0 8.83252C0 13.2433 3.59538 16.8325 8 16.8325C12.417 16.8325 16 13.2296 16 8.83252C16 4.39343 12.3779 0.83252 8 0.83252ZM8.52175 3.70702L10.4281 2.32193C11.6206 2.76827 12.6588 3.52858 13.439 4.50771L12.7104 6.75027L10.5697 7.44586L8.52175 5.95796V3.70702ZM5.57191 2.32196L7.47828 3.70705V5.95802L5.43031 7.44589L3.28962 6.7503L2.56103 4.50774C3.34119 3.52858 4.37941 2.76827 5.57191 2.32196ZM2.20134 12.6669C1.52294 11.6445 1.11394 10.4324 1.05853 9.12946L2.96709 7.74274L5.10384 8.43702L5.88759 10.8492L4.567 12.6669H2.20134V12.6669ZM9.85797 15.5295C9.26544 15.6941 8.64419 15.7891 8 15.7891C7.35581 15.7891 6.73453 15.6941 6.14206 15.5295L5.41128 13.2802L6.73022 11.4648H9.26987L10.5888 13.2802L9.85797 15.5295ZM11.433 12.6669L10.1124 10.8493L10.8962 8.43705L13.033 7.74277L14.9415 9.12936C14.8862 10.4323 14.4771 11.6444 13.7987 12.6669H11.433Z" fill="currentColor"/>
        </symbol>


    </svg>
</template>

<script>
export default {
    name: 'SvgIcons'
}
</script>
